<?
$kmb = qw("SELECT * FROM res  WHERE strana='$re1[strana]'");
while($army = mysql_fetch_array($kmb)){
$time=time();$tim=$time-$army[time];
if($tim>0){
switch($army[vid]){
case 1:
$a1='metal';$a2="Произведена Выплавка $army[kolvo] железа";
break;
case 2:
$a1='kamen';$a2="Добыто Редкоземельного Стратегического $army[kolvo] камня";
break;
case 3:
$a1='derevo';$a2="Доставлено Производственного $army[kolvo] дерева";
break;
case 4:
$a1='zerno';$a2="Собран Урожай $army[kolvo] зерна";
break;
}

$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if($x>$army[kolvo]){$x=$x-$army[kolvo];}else{$army[kolvo]=$x;$x=0;}if($army[kolvo]<0){$army[kolvo]=0;}
$res=$army[kolvo];
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$time','0','0','$a2')");
qw("UPDATE gos2 SET rab=rab+'$army[rab]',$a1=$a1+'$res',land=land+'$army[land]' WHERE strana='$re1[strana]'");
qw("DELETE FROM res WHERE id='$army[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$a2')");

header("Location:game.php?der=$key");
}
}
?>